> For the complete documentation index, see [llms.txt](https://docs.tradevest.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tradevest.ai/api-reference/asset-management/wawex-tokenized-assets/tokenized-assets.md).

# Tokenized Assets

## Get Assets

> Get list of available products

```json
{"openapi":"3.0.1","info":{"title":"WAWEX","version":"1.0"},"tags":[{"name":"Wawex","description":"Wawex"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","scheme":"Bearer"}},"schemas":{"ProductsPage":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Product"}},"pagination":{"$ref":"#/components/schemas/Pagination"},"totalNumberOfAssets":{"type":"integer","minimum":0}},"required":["data","totalNumberOfAssets"]},"Product":{"type":"object","properties":{"symbol":{"type":"string"},"description":{"type":"string"},"assetType":{"$ref":"#/components/schemas/AssetTypeEnum"},"decimalPlaces":{"type":"integer","minimum":0},"availableFrom":{"type":"string","format":"date-time"},"availableTo":{"type":"string","format":"date-time"},"assetRiskScore":{"$ref":"#/components/schemas/AssetRiskScoreEnum"},"underlyingISIN":{"type":"string","description":"ISIN linked to the tokenized share"}},"required":["symbol","description","assetType","decimalPlaces","availableFrom","assetRiskScore","underlyingISIN"]},"AssetTypeEnum":{"type":"string","description":"Asset Type","enum":["TRACKERCERTIFICATE"]},"AssetRiskScoreEnum":{"title":"AssetRiskScoreEnum","type":"string","description":"The risk classification of the asset","enum":["0","1","2","3"]},"Pagination":{"title":"Pagination","type":"object","properties":{"cursor":{"type":"string","description":"String value used for pagination, which should be set in next page request."},"limit":{"type":"integer","description":"Maximum number of returned items"}},"required":["cursor","limit"]},"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}},"paths":{"/wawex/assets":{"get":{"summary":"Get Assets","operationId":"get-assets","description":"Get list of available products","tags":["Wawex"],"parameters":[{"schema":{"type":"string"},"in":"query","name":"filter","description":"Filter assets by symbol or asset name"},{"schema":{"type":"string"},"in":"query","name":"cursor","description":"String value used for pagination"},{"schema":{"type":"integer","minimum":1,"maximum":100,"default":20},"in":"query","name":"limit","description":"Maximum number of items to return"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductsPage"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}}}}}}
```

## Get Wawex Asset Document

> Download a document for a tokenized asset (e.g. prospectus).

```json
{"openapi":"3.0.1","info":{"title":"WAWEX","version":"1.0"},"tags":[{"name":"Wawex","description":"Wawex"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","scheme":"Bearer"}},"schemas":{"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}},"paths":{"/wawex/assets/{symbol}/document":{"get":{"summary":"Get Wawex Asset Document","operationId":"get-wawex-asset-document","description":"Download a document for a tokenized asset (e.g. prospectus).","tags":["Wawex"],"parameters":[{"schema":{"type":"string"},"in":"path","name":"symbol","required":true,"description":"Trading symbol of the tokenized asset"},{"schema":{"type":"string","enum":["de","en"],"default":"de"},"in":"query","name":"language","required":false,"description":"Language of the returned document"},{"schema":{"type":"string","enum":["prospectus"],"default":"prospectus"},"in":"query","name":"documentType","required":false,"description":"Type of asset document"}],"responses":{"200":{"description":"OK","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}}}}}}
```

## Get price for token

> Get current price for a specific token

```json
{"openapi":"3.0.1","info":{"title":"WAWEX","version":"1.0"},"tags":[{"name":"Wawex","description":"Wawex"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","scheme":"Bearer"}},"schemas":{"Price":{"type":"object","properties":{"ask":{"type":"number","format":"decimal","description":"Current ask price"},"bid":{"type":"number","format":"decimal","description":"Current bid price"},"currency":{"type":"string","description":"Currency code"}}},"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}},"paths":{"/wawex/prices/{token}":{"get":{"summary":"Get price for token","operationId":"get-price","description":"Get current price for a specific token","tags":["Wawex"],"parameters":[{"schema":{"type":"string"},"name":"token","in":"path","required":true,"description":"Token symbol"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Price"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tradevest.ai/api-reference/asset-management/wawex-tokenized-assets/tokenized-assets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
